org.apache.http.entity.mime

## Class FormBodyPart

- java.lang.Object
- - org.apache.http.entity.mime.FormBodyPart

-     public class FormBodyPart
      extends Object

  FormBodyPart class represents a content body that can be used as a part of multipart encoded entities. This class automatically populates the header with standard fields based on the content description of the enclosed body.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormBodyPart(String name, ContentBody body)` Deprecated. (4.4) use `FormBodyPartBuilder`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addField(String name, String value)`
    `protected void` | `generateContentDisp(ContentBody body)` Deprecated. (4.4) use `FormBodyPartBuilder`.
    `protected void` | `generateContentType(ContentBody body)` Deprecated. (4.4) use `FormBodyPartBuilder`.
    `protected void` | `generateTransferEncoding(ContentBody body)` Deprecated. (4.4) use `FormBodyPartBuilder`.
    `ContentBody` | `getBody()`
    `Header` | `getHeader()`
    `String` | `getName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormBodyPart

          @Deprecated
          public FormBodyPart(String name,
                                 ContentBody body)

      Deprecated. (4.4) use `FormBodyPartBuilder`.

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getBody

          public ContentBody getBody()

    - #### getHeader

          public Header getHeader()

    - #### addField

          public void addField(String name,
                      String value)

    - #### generateContentDisp

          @Deprecated
          protected void generateContentDisp(ContentBody body)

      Deprecated. (4.4) use `FormBodyPartBuilder`.

    - #### generateContentType

          @Deprecated
          protected void generateContentType(ContentBody body)

      Deprecated. (4.4) use `FormBodyPartBuilder`.

    - #### generateTransferEncoding

          @Deprecated
          protected void generateTransferEncoding(ContentBody body)

      Deprecated. (4.4) use `FormBodyPartBuilder`.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.